Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slarrr

    java.lang.Object
      org.netlib.lapack.Slarrr

    public class Slarrr

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *
     *  Purpose
     *  =======
     *
     *  Perform tests to decide whether the symmetric tridiagonal matrix T
     *  warrants expensive computations which guarantee high relative accurac
     *  in the eigenvalues.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix. N > 0.
     *
     *  D       (input) REAL             array, dimension (N)
     *          The N diagonal elements of the tridiagonal matrix T.
     *
     *  E       (input/output) REAL             array, dimension (N)
     *          On entry, the first (N-1) entries contain the subdiagonal
     *          elements of the tridiagonal matrix T; E(N) is set to ZERO.
     *
     *  INFO    (output) INTEGER
     *          INFO = 0(default) : the matrix warrants computations preservi
     *                              relative accuracy.
     *          INFO = 1          : the matrix warrants computations guarante
     *                              only absolute accuracy.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Beresford Parlett, University of California, Berkeley, USA
     *     Jim Demmel, University of California, Berkeley, USA
     *     Inderjit Dhillon, University of Texas, Austin, USA
     *     Osni Marques, LBNL/NERSC, USA
     *     Christof Voemel, University of California, Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slarrr()`

Method Summary
`static void` | `slarrr(int n, float[] d, int _d_offset, float[] e, int _e_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slarrr

    public Slarrr()

Method Detail

### slarrr

    public static void slarrr(int n,
                              float[] d,
                              int _d_offset,
                              float[] e,
                              int _e_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD